Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Class FieldElementSequenceMapFactoryAssembler

    java.lang.Object
      com.servingxml.components.recordmapping.FieldElementSequenceMapFactoryAssembler

    public class FieldElementSequenceMapFactoryAssembler

extends java.lang.Object

The `FieldElementSequenceMapFactoryAssembler` implements an assembler for assembling `GenerateElementFactory` objects.

Constructor Summary
`FieldElementSequenceMapFactoryAssembler()`

Method Summary
`MapXmlFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(MapXmlFactory[] childFactories)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`
`void` | `setElement(java.lang.String qname)`
`void` | `setField(Name fieldName)`
`void` | `setMatch(java.lang.String match)`
`void` | `setSelect(java.lang.String select)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldElementSequenceMapFactoryAssembler

    public FieldElementSequenceMapFactoryAssembler()

Method Detail

### setField

    public void setField(Name fieldName)

### setSelect

    public void setSelect(java.lang.String select)

### setMatch

    public void setMatch(java.lang.String match)

### setElement

    public void setElement(java.lang.String qname)

### setValue

    public void setValue(java.lang.String value)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### injectComponent

    public void injectComponent(MapXmlFactory[] childFactories)

### assemble

    public MapXmlFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD